Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlValueBox

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlValueBox

All Implemented Interfaces:
  idlObject, idlValueBox, java.io.Serializable

public class IdlValueBox
extends IdlObject
implements idlValueBox

This class represents IDL Value Box object

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:24 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlValueBox(IdlObject father)` Creates IDL Value Box object

Method Summary
`java.util.Enumeration` | `content()` Return this idlObject content
`boolean` | `isPrimitive()` Return TRUE if the value box type is a primitive type
`idlObject` | `original()` Return the original type
`boolean` | `simple()` Returns is a simple type
`IdlObject` | `type()` Returns the type
`void` | `type(IdlObject tp)` Set the type

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlValueBox

    public IdlValueBox(IdlObject father)

  Creates IDL Value Box object

Method Detail

### type

    public IdlObject type()

  Returns the type
  Overrides:
    `type` in class `IdlObject`
  Returns:
    le type

### type

    public void type(IdlObject tp)

  Set the type
  Overrides:
    `type` in class `IdlObject`
  Parameters:
    `tp` - the type

### simple

    public boolean simple()

  Returns is a simple type

### isPrimitive

    public boolean isPrimitive()

  Description copied from interface: `idlValueBox`
  Return TRUE if the value box type is a primitive type
  Specified by:
    `isPrimitive` in interface `idlValueBox`

### original

    public idlObject original()

  Description copied from interface: `idlValueBox`
  Return the original type
  Specified by:
    `original` in interface `idlValueBox`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD